<template>
    <div class='product-param'>        
        <button 
        v-for='value in values' 
        :key='value.id'         
        :class='value.selected ? "product-value-selected" : "product-value"' 
        @click='selectValue(value.id)'
        >
            {{value.text | lowercase }}
        </button>
    </div>
</template>
<script>
import _ from 'lodash';
export default {
    data() {
        return {
            values: [
                { id: 0, text: 'Сейчас', selected: true },
                { id: 1, text: 'Ко времени', selected: false },
                { id: 2, text: 'Заберу сам', selected: false },
            ],
        }
    },
    methods: {
        selectValue(id) {                                              
            let newValues = JSON.parse(JSON.stringify(this.values));
            if (!this.multi) {                
                newValues = newValues.map(it => {
                    it.selected = false;   
                    return it;                 
                });
            }           
            const value = newValues.find(it => it.id === id);            
            value.selected = !value.selected;                  
            this.values = newValues;
            this.$emit('change', id);
        }
    }
}
</script>
<style scoped>
    .product-param {
        display: flex;     
        justify-content: left;
        align-items: center;    
        width: 64%;        
        min-width: 300px;
        background-color:#F5F5F5;
        border-radius: 10px;
    }
    .product-value {
        flex: 1;        
        color: #777;
        outline: none;
        border: 0;        
        border-radius: 10px;
        background-color: #F5F5F5;                
        padding: 5px;
        transition: all 0.1s ease;
    }
    .product-value-selected {
        flex: 1;
        outline: none;
        border: 0;
        border: 1px solid #777;
        border-radius: 10px;        
        background-color: white;
        color: #777;
        padding: 5px;
    }
    .product-value:hover {
        border: 1px solid #777;
        color: #777
    }
</style>



